
%define plugin	digicam
%define name	vdr-plugin-%plugin
%define version	1.0.2
%define rel	5

Summary:	VDR plugin: Plugin to access a digital camera
Name:		%name
Version:	%version
Release:	%mkrel %rel
Group:		Video
License:	GPL
URL:		http://turku.wi-bw.tfh-wildau.de/~pjuszack/digicam/index_en.html
Source:		http://194.95.44.38/~pjuszack/digicam/download/vdr-%plugin-%version.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	vdr-devel >= 1.4.1-6
BuildRequires:	gphoto2-devel
Requires:	libgphoto-hotplug
Requires:	vdr-abi = %vdr_abi

%description
The 'control' plugin brings the ability to VDR to control
the whole OSD over a telnet client.

%prep
%setup -q -n %plugin-%version
chmod -x MANUAL HISTORY README INSTALL

%build
%vdr_plugin_build

%install
rm -rf %{buildroot}
%vdr_plugin_install

install -d -m755 %{buildroot}%{_vdr_plugin_cfgdir}
install -m644 examples/*.conf %{buildroot}%{_vdr_plugin_cfgdir}

%clean
rm -rf %{buildroot}

%post
%vdr_plugin_post %plugin

%postun
%vdr_plugin_postun %plugin

%files -f %plugin.vdr
%defattr(-,root,root)
%doc README HISTORY MANUAL INSTALL
%config(noreplace) %{_vdr_plugin_cfgdir}/digicam*.conf




%changelog
* Sun Jul 08 2007 Anssi Hannula <anssi@mandriva.org> 1.0.2-5mdv2007.0
+ Revision: 49988
- rebuild for new vdr
- rebuild for new vdr
- rebuild for new vdr


* Tue Dec 05 2006 Anssi Hannula <anssi@mandriva.org> 1.0.2-2mdv2007.0
+ Revision: 90909
- rebuild for new vdr

* Fri Nov 03 2006 Anssi Hannula <anssi@mandriva.org> 1.0.2-1mdv2007.1
+ Revision: 76336
- 1.0.2
- rebuild for new vdr
- Import vdr-plugin-digicam

* Thu Sep 07 2006 Anssi Hannula <anssi@mandriva.org> 1.0.1-5mdv2007.0
- rebuild for new vdr

* Thu Aug 24 2006 Anssi Hannula <anssi@mandriva.org> 1.0.1-4mdv2007.0
- stricter abi requires

* Mon Aug 07 2006 Anssi Hannula <anssi@mandriva.org> 1.0.1-3mdv2007.0
- rebuild for new vdr

* Wed Jul 26 2006 Anssi Hannula <anssi@mandriva.org> 1.0.1-2mdv2007.0
- rebuild for new vdr

* Wed Jun 21 2006 Anssi Hannula <anssi@mandriva.org> 1.0.1-1mdv2007.0
- initial Mandriva release

